
QGIS Application - Bug report #12246

QGIS update error

2015-02-24 02:21 AM - dr -

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Build/Install

Affected QGIS version:2.8.0 Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 20431

Description

Try to update testing QGIS based on dependencies from ubuntugis and get the following error:

qgis-providers (1:2.9.0+git20150224+4629205+20trusty-ubuntugis) …

/usr/lib/qgis/crssync: error while loading shared libraries: libqgis_core.so.2.9.0: cannot open shared object file: No such file or

directory

History

#1 - 2015-02-24 06:01 AM - Maxim Dubinin

I can confirm that, using debian nightlies

1:2.9.0+git20150224+4629205+20trusty

#2 - 2015-02-24 08:19 AM - Richard Nairn

Confirmed on ubuntu-utopic as well. 2.9.0+git20150224+4629205+21utopic

#3 - 2015-02-25 07:38 AM - Filipe Dias

I'm getting a different error message:

Setting up qgis-providers (1:2.9.0+git20150225+0b874ce+20trusty-ubuntugis) ...

/usr/lib/qgis/crssync: error while loading shared libraries: libqgis_core.so.2.9.0: cannot open shared object file: No such file or directory

dpkg: error processing package qgis-providers (--configure):

 subprocess installed post-installation script returned error exit status 127

dpkg: dependency problems prevent configuration of qgis:

 qgis depends on qgis-providers (= 1:2.9.0+git20150225+0b874ce+20trusty-ubuntugis); however:

  Package qgis-providers is not configured yet.

dpkg: error processing package qgis (--configure):

 dependency problems - leaving unconfigured

dpkg: dependency problems prevent configuration of qgis-plugin-globe:

 qgis-plugin-globe depends on qgis (= 1:2.9.0+git20150225+0b874ce+20trusty-ubuntugis); however:

  Package qgis is not configured yet.
#4 - 2015-02-25 07:40 AM - Filipe Dias

- Priority changed from Normal to Severe/Regression

I'm raising the priority because QGIS Master is currently the only option for avoiding #12233

#5 - 2015-02-25 02:43 PM - Jürgen Fischer

- Resolution set to fixed/implemented

- Status changed from Open to Closed

fixed in commit:f213254 and commit:97ace3c
